summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Cherife Li2010-05-12 23:32:40 +0200
committer David Somero2010-05-12 23:32:40 +0200
commit768e16454608aa271cb2271b7d90449d60b487eb (patch)
tree206a067ce4ce8dc3d7e06d02ef426914d8e5595b /network
parenta8defaaa71d10d62236f8d52a0e33fd923d75292 (diff)
downloadslackbuilds-768e16454608aa271cb2271b7d90449d60b487eb.tar.gz
network/pidgin-hotkeys: Added to 12.2 repository
Diffstat (limited to 'network')
-rw-r--r--network/pidgin-hotkeys/README4
-rw-r--r--network/pidgin-hotkeys/pidgin-hotkeys.SlackBuild77
-rw-r--r--network/pidgin-hotkeys/pidgin-hotkeys.info8
-rw-r--r--network/pidgin-hotkeys/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/network/pidgin-hotkeys/README b/network/pidgin-hotkeys/README
new file mode 100644
index 0000000000..0e712bb0ab
--- /dev/null
+++ b/network/pidgin-hotkeys/README
@@ -0,0 +1,4 @@
+pidgin-hotkeys is a Pidgin (previously known as Gaim) plugin that
+allows you to define global hotkeys for various actions such as
+toggling buddy list, fetching queued messages, opening preferences
+or account dialog.
diff --git a/network/pidgin-hotkeys/pidgin-hotkeys.SlackBuild b/network/pidgin-hotkeys/pidgin-hotkeys.SlackBuild
new file mode 100644
index 0000000000..1a78d7de2c
--- /dev/null
+++ b/network/pidgin-hotkeys/pidgin-hotkeys.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# Slackware build script for pidgin-hotkeys
+#
+# Copyright 2008 Cherife Li <cherife-#-dotimes.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pidgin-hotkeys
+VERSION=${VERSION:-0.2.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make || exit 1
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/pidgin-hotkeys/pidgin-hotkeys.info b/network/pidgin-hotkeys/pidgin-hotkeys.info
new file mode 100644
index 0000000000..1a7382f8e0
--- /dev/null
+++ b/network/pidgin-hotkeys/pidgin-hotkeys.info
@@ -0,0 +1,8 @@
+PRGNAM="pidgin-hotkeys"
+VERSION="0.2.4"
+HOMEPAGE="http://pidgin-hotkeys.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/pidgin-hotkeys/pidgin-hotkeys-0.2.4.tar.gz"
+MD5SUM="553aae7319861af9e8716bfe0ba45c30"
+MAINTAINER="Cherife Li"
+EMAIL="cherife-#-dotimes.com"
+APPROVED="dsomero"
diff --git a/network/pidgin-hotkeys/slack-desc b/network/pidgin-hotkeys/slack-desc
new file mode 100644
index 0000000000..2e903794ca
--- /dev/null
+++ b/network/pidgin-hotkeys/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------|
+pidgin-hotkeys: pidgin-hotkeys (pidgin plugin to define global hotkeys)
+pidgin-hotkeys:
+pidgin-hotkeys: pidgin-hotkeys is a Pidgin (previously known as Gaim) plugin
+pidgin-hotkeys: that allows you to define global hotkeys for various actions
+pidgin-hotkeys: such as toggling buddy list, fetching queued messages, opening
+pidgin-hotkeys: preferences or account dialog.
+pidgin-hotkeys:
+pidgin-hotkeys:
+pidgin-hotkeys: Homepage: http://pidgin-hotkeys.sourceforge.net/
+pidgin-hotkeys:
+pidgin-hotkeys: